summaryrefslogtreecommitdiffstats
path: root/desktop/openbox
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:38:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:38:01 +0200
commit5cb4ca98ee42352121c63a00bd116615a1299c08 (patch)
treead3ee41a8d5a2194475eb4b07c574bd5404a4978 /desktop/openbox
parent924621b2d36ed0d87405d66353457f93f1ee0b58 (diff)
downloadslackbuilds-5cb4ca98ee42352121c63a00bd116615a1299c08.tar.gz
slackbuilds-5cb4ca98ee42352121c63a00bd116615a1299c08.tar.xz
desktop/openbox: Updated for version 3.4.7.2
Diffstat (limited to 'desktop/openbox')
-rw-r--r--desktop/openbox/README30
-rw-r--r--desktop/openbox/openbox.SlackBuild46
-rw-r--r--desktop/openbox/openbox.info2
-rw-r--r--desktop/openbox/slack-desc6
4 files changed, 54 insertions, 30 deletions
diff --git a/desktop/openbox/README b/desktop/openbox/README
index 2858867453..a8dab76eac 100644
--- a/desktop/openbox/README
+++ b/desktop/openbox/README
@@ -4,27 +4,27 @@ and to work properly. Openbox is fully functional as a stand-alone
working environment, or can be used as a drop-in replacement for
the default window manager in the GNOME or KDE desktop environments.
-To use Openbox in KDE or GNOME please specify this in the script or
-when running the script by setting KXINIT or GXINIT to "YES",
-respectively. For example, to add an option to use Openbox in KDE
+To use Openbox in KDE or GNOME please specify this in the script or
+when running the script by setting KXINIT or GXINIT to "YES",
+respectively. For example, to add an option to use Openbox in KDE
you can run:
KXINIT=YES ./openbox.SlackBuild
-If you do not make the package with this support and you want to run
-Openbox in KDE or GNOME, then you should copy the respective xinitrc
-script from /usr/doc/openbox/xinit to /etc/X11/xinit/. You will
-also need to copy openbox-kde-session or openbox-gnome-session to
+If you do not make the package with this support and you want to run
+Openbox in KDE or GNOME, then you should copy the respective xinitrc
+script from /usr/doc/openbox/xinit to /etc/X11/xinit/. You will
+also need to copy openbox-kde-session or openbox-gnome-session to
/usr/bin/. To be used, all the scripts will need to be executable.
-NOTE: This SlackBuild nows has xinit scripts for openbox and
-openbox-session. You *must* select "openbox-session" in order to
-use your autostart file. It is recommended that you run xwmconfig
-to correct this if you have used previous versions of this
-SlackBuild. Similarly, select "Openbox-Session" instead of
-"Openbox" in KDM/XDM if you want session management and your
+NOTE: This SlackBuild nows has xinit scripts for openbox and
+openbox-session. You *must* select "openbox-session" in order to
+use your autostart file. It is recommended that you run xwmconfig
+to correct this if you have used previous versions of this
+SlackBuild. Similarly, select "Openbox-Session" instead of
+"Openbox" in KDM/XDM if you want session management and your
autostart file to be used.
-If you do not plan on using a session manager with Openbox you can
-build a smaller binary by disabling session management support. To
+If you do not plan on using a session manager with Openbox you can
+build a smaller binary by disabling session management support. To
do this simply configure with '--disable-session-management'.
diff --git a/desktop/openbox/openbox.SlackBuild b/desktop/openbox/openbox.SlackBuild
index e837aa537f..7ecbc08912 100644
--- a/desktop/openbox/openbox.SlackBuild
+++ b/desktop/openbox/openbox.SlackBuild
@@ -1,17 +1,35 @@
#!/bin/sh
-# Slackware build script for Openbox
+# Slackware build script for Openbox
-# Written by Chess Griffin <chess@chessgriffin.com>
-
-# Modifications for KDE and GNOME xinitrc scripts
-# and Slackware 12.1 KDM session fixes
+# Copyright 2006-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modifications for KDE and GNOME xinitrc scripts
+# and Slackware 12.1 KDM session fixes
# by Phillip Warner <pc_warner@yahoo.com>
PRGNAM=openbox
VERSION=${VERSION:-3.4.7.2}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -19,9 +37,9 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Set these to "YES" if you want your package to include a xinitrc file
+# Set these to "YES" if you want your package to include a xinitrc file
# for running Openbox in KDE or GNOME, respectively.
-# Otherwise, you can add the xinitrc files manually to /etc/X11/xinit and
+# Otherwise, you can add the xinitrc files manually to /etc/X11/xinit and
# the openbox-kde-session and openbox-gnome-session files to /usr/bin.
# The files can be found under /usr/doc/openbox
# Don't forget to make them executable if you copy them from /usr/doc!
@@ -35,10 +53,13 @@ DOCS="ABOUT-NLS AUTHORS CHANGELOG COMPLIANCE COPYING README"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,6 +81,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -71,13 +93,15 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
# Add xinitrc.openbox so that openbox will show up as an option in xwmconfig
diff --git a/desktop/openbox/openbox.info b/desktop/openbox/openbox.info
index 81952518cf..8daf396bc4 100644
--- a/desktop/openbox/openbox.info
+++ b/desktop/openbox/openbox.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://icculus.org/openbox/releases/openbox-3.4.7.2.tar.gz"
MD5SUM="9e7589e90519bc6ac2f4656ea6869439"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="rworkman"
+APPROVED="dsomero"
diff --git a/desktop/openbox/slack-desc b/desktop/openbox/slack-desc
index 4948303e81..361311c38a 100644
--- a/desktop/openbox/slack-desc
+++ b/desktop/openbox/slack-desc
@@ -7,7 +7,7 @@
|-----handy-ruler-----------------------------------------------------|
openbox: openbox (Openbox window manager)
-openbox:
+openbox:
openbox: Openbox is a standards compliant, fast, light-weight, extensible
openbox: window manager. Openbox was written first to comply with standards
openbox: and to work properly. Openbox is fully functional as a stand-alone
@@ -15,5 +15,5 @@ openbox: working environment, or can be used as a drop-in replacement for
openbox: the default window manager in the GNOME or KDE desktop environments.
openbox:
openbox: Homepage: http://www.icculus.org/openbox
-openbox:
-openbox:
+openbox:
+openbox: